commit ef7719338423acd0bffc11895c8bb7c78e45c2f9
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Thu Oct 31 19:11:57 2024 +0100

    testsuite: arm: Use effective-target for nomve_fp_1 test
    
    Test uses MVE, so add effective-target arm_fp requirement.
    
    gcc/testsuite/ChangeLog:
    
            * g++.target/arm/mve/general-c++/nomve_fp_1.c: Use
            effective-target arm_fp.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit e8886406fac50f80a521a4100a80517e50e1c388)

diff --git a/gcc/testsuite/g++.target/arm/mve/general-c++/nomve_fp_1.c b/gcc/testsuite/g++.target/arm/mve/general-c++/nomve_fp_1.c
index e0692ceb8c8..a2069d353cf 100644
--- a/gcc/testsuite/g++.target/arm/mve/general-c++/nomve_fp_1.c
+++ b/gcc/testsuite/g++.target/arm/mve/general-c++/nomve_fp_1.c
@@ -1,9 +1,11 @@
 /* { dg-do compile } */
+/* { dg-require-effective-target arm_fp_ok } */
 /* { dg-require-effective-target arm_v8_1m_mve_ok } */
 /* Do not use dg-add-options arm_v8_1m_mve, because this might expand to "",
    which could imply mve+fp depending on the user settings. We want to make
    sure the '+fp' extension is not enabled.  */
 /* { dg-options "-mfpu=auto -march=armv8.1-m.main+mve" } */
+/* { dg-add-options arm_fp } */
 
 #include <arm_mve.h>
 

